<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>About Editing Java Source Files</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
<meta name="keywords" content="bean" />
</head>
<body>

<h2>About Editing Java Source Files</h2>

<p>The IDE's built-in Source Editor enables you to 
view, create, and edit your Java source code.</p>

<p>You can open the Source Editor
window by double-clicking an editable element in the Projects window or by choosing
File  &gt; New to create a new file.</p>

<p>The IDE has many features to simplify coding of Java files such as:</p>
<ul>
  <li><b>Code completion</b>. 
    After you press Ctrl-Space, a dialog box appears and offers possible ways of completing the expression 
    you are typing.</li>
  <li><b>Code templates</b>. 
    You can enter common code snippets by typing abbreviations for those snippets 
    and then pressing Tab.</li> 
  <li><b>Editor hints</b>. For some common coding mistakes, 
  the Source Editor provides hints for adding the missing code and offers to add the 
  code for you automatically. To display hints, choose Source &gt; Fix Code (Alt-Enter).</li>
  <li><b>Insert Code</b>. You can generate getters, setters, properties, and so on. Right-click in the 
  Source Editor and choose Insert Code (Alt-Insert) to get a list of items that you can generate.</li>
  <li><b>BeanInfo Editor</b>. You can generate a BeanInfo class for a bean class by right-clicking
  the bean class in the Project window and choosing BeanInfo Editor. You can then 
  visually edit the BeanInfo class by clicking the Designer tab in the Source Editor.</li>
  <li><b>Word match</b>. After you type the beginning 
    characters of a word used elsewhere in your code and then press Ctrl-K, the Source Editor generates 
    the rest of the word.</li>
  <li><b><a href="../gui/gui_overview.html">GUI Builder</a></b>. Visually 
    design Java GUI applications.</li>
  <li><b><a href="../refactor/aboutRefactoring.html">Refactoring</a></b>. Change 
the structure of your code without changing the functionality.</li>
  <li><b><a href="editor_navigation.html">Navigation Shortcuts</a></b>. Include keyboard shortcuts that 
    enable you to navigate to a source file, declaration statement, or Javadoc 
    documentation based on the location of the insertion point. </li>
  <li><b>Code Folding</b>. Enables you to hide 
    sections of code, such as Javadoc comments and method bodies.</li>
  <li><b>Pair Completion, Smart Enter, and 
    Smart Semicolons</b>. When you type a quotation mark, bracket, brace, 
    or parenthesis, the Source Editor automatically inserts the closing character. 
    The matching is "smart", so the closing characters are not duplicated if you 
    type them yourself.</li>
  <li><b>Macros</b>. Record macros by choosing Edit &gt; Start Recording Macro.</li>
  <li><b>Import Management</b>. The Ctrl-Shift-I keyboard 
    shortcut helps you generate missing import statements for the file.</li>

</ul>


<ul class="note">
<li>You can find information about other Source Editor features in help topics that 
are specific to the type of application you are developing.</li>
</ul>


        <dl>
            <dt><a name="seealso">See Also</a></dt>
            <dd><a href="../gui/gui_modifysource.html">Modifying GUI Source Code</a></dd>
        </dl>



<hr>
<small><a href="../credits.html">Legal Notices</a></small>

<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
